KDE 4.7 PyKDE API Reference

- KDE's Python API

# KMimeTypeChooser Class Reference

`from PyKDE4.kio import *`

Inherits: KVBox → KHBox → QFrame → QWidget → QObject

## Detailed Description

This widget provides a checkable list of all available mimetypes, and a list of selected ones, as well as a corresponding list of file extensions, an optional text and an optional edit button (not working yet). Mime types is presented in a list view, with name, comment and patterns columns.

Author:
  Anders Lund (anders at alweb dk), jan 23, 2002

## Enumerations
Visuals | { Comments, Patterns, EditButton }
## Methods
| __init__ (self, QString text=QString(), QStringList selectedMimeTypes=QStringList(), QString defaultGroup=QString(), QStringList groupsToShow=QStringList(), int visuals=Comments|Patterns|EditButton, QWidget parent=0)
QStringList | mimeTypes (self)
QStringList | patterns (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | text=QString(),
|  | QStringList | selectedMimeTypes=QStringList(),
|  | QString | defaultGroup=QString(),
|  | QStringList | groupsToShow=QStringList(),
|  | int | visuals=Comments|Patterns|EditButton,
|  | QWidget | parent=0
| ) |  |  |

Create a new KMimeTypeChooser.

Parameters:

  | text | A Text to display above the list
  | selectedMimeTypes | A list of mimetype names, theese will be checked in the list if they exist.
  | visuals | A OR'd Visuals enum to decide which data and buttons to display.
  | defaultGroup | The group to open when no groups are selected (like "text"). If not provided, no group is opened. If groupsToShow is provided and defaultGroup is not a member of that, it is ignored.
  | groupsToShow | a list of mimetype groups to show. If empty, all groups are shown.
  | parent | The parent widget to use

QStringList mimeTypes | ( |  | self ) |

Returns:
  a list of all selected selected mimetypes represented by their name.

QStringList patterns | ( |  | self ) |

Returns:
  a list of the fileame patterns associated with all selected mimetypes.

## Enumeration Documentation

Visuals

Buttons and data for display.

Enumerator:

  Comments = 1 |
  Patterns = 2 |
  EditButton = 4 |